using UnityEngine;

[CreateAssetMenu(
    menuName = "Game/EnemyAbilities/Melee Strike",
    fileName = "MeleeStrikeAbility")]

public class MeleeStrikeAbility : EnemyAbility
{
    public override float ComputeUtility(EnemyDecisionContext ctx)
    {
        return 1f;
    }

    public override void Use(EnemyDecisionContext ctx)
    {
        ctx.Entity.Brain.animationBridge.SetAttackTrigger();
    }
    
}
